# Unit eth2

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->Net->L2->`Eth2` - Ethernet Driver.

## Uses

- lmemorymanager
- util
- tracer
- nettypes
- netutils
- terminal
- net
- netlog
- console
- crc

## Overview

### Functions and Procedures

`procedure send(p_data : void; p_len : uint16; eth_type : uint16; p_context : PPacketContext);`
`procedure registerType(eType : uint16; RecvCB : TRecvCallback);`
`procedure registerTypePromisc(eType : uint16; RecvCB : TRecvCallback);`
`procedure register;`

## Description

### Functions and Procedures

`procedure send(p_data : void; p_len : uint16; eth_type : uint16; p_context : PPacketContext);`

`procedure registerType(eType : uint16; RecvCB : TRecvCallback);`

`procedure registerTypePromisc(eType : uint16; RecvCB : TRecvCallback);`

`procedure register;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.